curl -X GET "https://api.mintlify.com/v1/analytics/your_project_id/feedback?dateFrom=2024-01-01&limit=50" \
-H "Authorization: Bearer mint_your_api_key_here"
{
"feedback": [
{
"id": "fb_abc123",
"path": "/getting-started",
"comment": "This section was very helpful!",
"createdAt": "2024-01-15T10:30:00.000Z",
"source": "contextual",
"status": "resolved",
"helpful": true,
"contact": "user@example.com"
},
{
"id": "fb_def456",
"path": "/api/examples",
"comment": "This code doesn't work with the latest version",
"createdAt": "2024-01-16T14:22:00.000Z",
"source": "code_snippet",
"status": "pending",
"code": "const example = require('example');",
"filename": "index.js",
"lang": "javascript"
}
],
"nextCursor": "cursor_xyz789",
"hasMore": true
}
Export user feedback collected from your documentation
curl -X GET "https://api.mintlify.com/v1/analytics/your_project_id/feedback?dateFrom=2024-01-01&limit=50" \
-H "Authorization: Bearer mint_your_api_key_here"
{
"feedback": [
{
"id": "fb_abc123",
"path": "/getting-started",
"comment": "This section was very helpful!",
"createdAt": "2024-01-15T10:30:00.000Z",
"source": "contextual",
"status": "resolved",
"helpful": true,
"contact": "user@example.com"
},
{
"id": "fb_def456",
"path": "/api/examples",
"comment": "This code doesn't work with the latest version",
"createdAt": "2024-01-16T14:22:00.000Z",
"source": "code_snippet",
"status": "pending",
"code": "const example = require('example');",
"filename": "index.js",
"lang": "javascript"
}
],
"nextCursor": "cursor_xyz789",
"hasMore": true
}
Use this endpoint to export user feedback collected from your documentation. Feedback includes contextual feedback from page ratings and code snippet feedback. Paginate through results using theDocumentation Index
Fetch the complete documentation index at: https://mintlify.com/Mintlify/docs/llms.txt
Use this file to discover all available pages before exploring further.
cursor parameter returned in the response. Continue fetching while hasMore is true.
mint_). Generate one on the API keys page in your dashboard.
2024-01-01dateTo is an exclusive upper limit. Results include dates before, but not on, the specified date.Example: 2024-01-31code_snippet, contextual.pending, in_progress, resolved, dismissed.Example: pending,in_progressnextCursor field.Show Feedback object
code_snippet is feedback on a code block, contextual is page-level feedback.pending, in_progress, resolved, dismissed.dateFrom and dateTo to limit results to a specific time periodcode_snippet or contextual feedback typespending, in_progress, resolved, or dismissedhelpful boolean and optional contact emailcode, filename, and lang fieldscurl -X GET "https://api.mintlify.com/v1/analytics/your_project_id/feedback?dateFrom=2024-01-01&limit=50" \
-H "Authorization: Bearer mint_your_api_key_here"
{
"feedback": [
{
"id": "fb_abc123",
"path": "/getting-started",
"comment": "This section was very helpful!",
"createdAt": "2024-01-15T10:30:00.000Z",
"source": "contextual",
"status": "resolved",
"helpful": true,
"contact": "user@example.com"
},
{
"id": "fb_def456",
"path": "/api/examples",
"comment": "This code doesn't work with the latest version",
"createdAt": "2024-01-16T14:22:00.000Z",
"source": "code_snippet",
"status": "pending",
"code": "const example = require('example');",
"filename": "index.js",
"lang": "javascript"
}
],
"nextCursor": "cursor_xyz789",
"hasMore": true
}